// 一些组件公用函数
import {API, JSONResponse, Method, request} from "./interface";
import {ActivityStatus} from "./entity";
import {EmptyBodyTransform, SimpleMessage} from "./result";
import React from "react";

export function changeActivity(activityId:number,activityStatus:ActivityStatus,that:React.Component,callback:Function){

    request(API.main.activity.apply,Method.POST,{
        activityId:activityId+"",
        activityStatus:activityStatus.toString()
    },new EmptyBodyTransform(),function (res:JSONResponse<SimpleMessage>) {
        switch (res.customResult) {
            case SimpleMessage.ok:
                callback()
                that.setState({
                    result:<h3 className="text-info text-center">{getStatus(activityStatus)}成功</h3>
                });break
            case SimpleMessage.fail:
                that.setState({
                    result:<h3 className="text-danger text-center">{getStatus(activityStatus)}失败，请联系管理员</h3>
        });break
    }
    })
}

//活动状态转换
export function getStatus(status:ActivityStatus){
    switch (status) {
        case ActivityStatus.apply:return "报名"
        case ActivityStatus.join:return "参与"
        case ActivityStatus.complete:return "完成"
    }
}
